MCDIST=function(count,rmcd,
        init1=list("z"=rep(1,length(count)),"lambda1"=rep(model$cut.off+5.0,length(count)),"lambda0"=rep(model$cut.off+1.0,length(count)),"pi"=rep(0.5,length(count))),
				init2=list("d"=0.1,"sigma2"=1.0,"r0"=1.0,"b"=1.0),
				proposal=list("d"=0.1,"r0"=0.1,"b"=0.1,"lambda1"=0.1,"lambda0"=0.1),
				model=list("cut.off"=1,"UUB"=1000,"VUB"=1000^2,"DUB"=10000),
				running=list("iter"=1000,"thin"=10,"burnin"=200,"seed"=2000),
				monitor=list("obs1"=match(min(abs(count-quantile(count)[2])),abs(count-quantile(count)[2])),
							       "obs2"=match(min(abs(count-quantile(count)[3])),abs(count-quantile(count)[3])),
							       "obs3"=match(min(abs(count-quantile(count)[4])),abs(count-quantile(count)[4])))){
	rst=.C("MCMC",as.integer(length(count)),as.integer(count),as.double(rmcd),
		as.integer(model$cut.off),as.integer(model$UUB),as.integer(model$DUB),as.double(model$VUB),
		as.integer(running$iter),as.integer(running$thin),as.integer(running$burnin),as.integer(running$seed),
		as.integer(init1$z),as.double(init1$lambda1),as.double(init1$lambda0),as.double(init1$pi),
		as.double(init2$d),as.double(init2$sigma2),as.double(init2$r0),as.double(init2$b),
		as.double(proposal$d),as.double(proposal$r0),as.double(proposal$b),as.double(proposal$lambda1),as.double(proposal$lambda0),
		as.integer(monitor$obs1),as.integer(monitor$obs2),as.integer(monitor$obs3), 
		post.prob=double(length(count)),bd=integer(length(count)),h.accpt=double(3),lambda1.accpt=double(2),lambda0.accpt=double(2),
		d_samples=double(running$iter/running$thin),m_samples=double(running$iter/running$thin),r0_samples=double(running$iter/running$thin),b_samples=double(running$iter/running$thin),
		pi_samples_obs1=double(running$iter/running$thin),lambda1_samples_obs1=double(running$iter/running$thin),lambda0_samples_obs1=double(running$iter/running$thin),
		pi_samples_obs2=double(running$iter/running$thin),lambda1_samples_obs2=double(running$iter/running$thin),lambda0_samples_obs2=double(running$iter/running$thin),
		pi_samples_obs3=double(running$iter/running$thin),lambda1_samples_obs3=double(running$iter/running$thin),lambda0_samples_obs3=double(running$iter/running$thin),
		time=integer(1))
	
  return(
  list(result=data.frame(posterior.probability=rst$post.prob,interaction.type=rst$bd),
		acceptance=list("r0"=rst$h.accpt[1],"b"=rst$h.accpt[2],"d"=rst$h.accpt[3],"lambda1.min"=rst$lambda1.accpt[1],"lambda1.max"=rst$lambda1.accpt[2],"lambda0.min"=rst$lambda0.accpt[1],"lambda0.max"=rst$lambda0.accpt[2]),
		samples=list("d"=rst$d_samples,"sigma2"=rst$m_samples,"r0"=rst$r0_samples,"b"=rst$b_samples,
		"pi_obs1"=rst$pi_samples_obs1,"lambda1_obs1"=rst$lambda1_samples_obs1,"lambda0_obs1"=rst$lambda0_samples_obs1,
		"pi_obs2"=rst$pi_samples_obs2,"lambda1_obs2"=rst$lambda1_samples_obs2,"lambda0_obs2"=rst$lambda0_samples_obs2,
		"pi_obs3"=rst$pi_samples_obs3,"lambda1_obs3"=rst$lambda1_samples_obs3,"lambda0_obs3"=rst$lambda0_samples_obs3),
		computing.time=rst$time)
  )
}