MDTS=function(count.1,count.2,dirichlet.const,
        init1=list("z"=rep(1,length(count.1)),
		"lambda0"=rep(model$cut.off+10.0,length(count.1)),"lambda1"=rep(model$cut.off+5.0,length(count.1)),"lambda2"=rep(model$cut.off+5.0,length(count.1)),
		"mu0"=rep(model$cut.off+5.0,length(count.1)),"mu2"=rep(model$cut.off+10.0,length(count.1)),
		"w0"=rep(1/3,length(count.1)),"w1"=rep(1/3,length(count.1)),"w2"=rep(1/3,length(count.1))),
	init2=list("d"=0.1,"r1"=1.0,"a"=1.0),
	proposal=list("d"=0.1,"r1"=0.1,"a"=0.1,"lambda0"=0.1,"lambda1"=0.1,"lambda2"=0.1,"mu0"=0.1,"mu2"=0.1),
	model=list("cut.off"=1,"UUB"=1000,"DUB"=100000),
	running=list("iter"=1000,"thin"=10,"burnin"=200,"seed"=2000),
	monitor=list("obs1"=match(min(abs(count.1-quantile(count.1)[2])),abs(count.1-quantile(count.1)[2])),
		       "obs2"=match(min(abs(count.1-quantile(count.1)[3])),abs(count.1-quantile(count.1)[3])),
		       "obs3"=match(min(abs(count.1-quantile(count.1)[4])),abs(count.1-quantile(count.1)[4])))){

	rst=.C("MDTS",as.integer(length(count.1)),as.integer(count.1),as.integer(count.2),
		as.double(dirichlet.const$c0),as.double(dirichlet.const$c1),as.double(dirichlet.const$c2),
		as.integer(model$cut.off),as.integer(model$UUB),as.integer(model$DUB),
		as.integer(running$iter),as.integer(running$thin),as.integer(running$burnin),as.integer(running$seed),
		as.integer(init1$z),as.double(init1$lambda0),as.double(init1$lambda1),as.double(init1$lambda2),as.double(init1$mu0),as.double(init1$mu2),
		as.double(init1$w0),as.double(init1$w1),as.double(init1$w2),
		as.double(c(init2$d,init2$r1,init2$a)),
		as.double(c(proposal$d,proposal$r1,proposal$a,proposal$lambda0,proposal$lambda1,proposal$lambda2,proposal$mu0,proposal$mu2)),
		as.integer(c(monitor$obs1,monitor$obs2,monitor$obs3)), 
		post.prob.z.0=double(length(count.1)),post.prob.z.1=double(length(count.1)),post.prob.z.2=double(length(count.1)),bd=integer(length(count.1)),
		h.accpt=double(3),lambda0.accpt=double(2),lambda1.accpt=double(2),lambda2.accpt=double(2),mu0.accpt=double(2),mu2.accpt=double(2),
		d_samples=double(running$iter/running$thin),r1_samples=double(running$iter/running$thin),a_samples=double(running$iter/running$thin),
		w0_samples_obs1=double(running$iter/running$thin),w1_samples_obs1=double(running$iter/running$thin),w2_samples_obs1=double(running$iter/running$thin),
		lambda0_samples_obs1=double(running$iter/running$thin),lambda1_samples_obs1=double(running$iter/running$thin),lambda2_samples_obs1=double(running$iter/running$thin),
		mu0_samples_obs1=double(running$iter/running$thin),mu2_samples_obs1=double(running$iter/running$thin),
		w0_samples_obs2=double(running$iter/running$thin),w1_samples_obs2=double(running$iter/running$thin),w2_samples_obs2=double(running$iter/running$thin),
		lambda0_samples_obs2=double(running$iter/running$thin),lambda1_samples_obs2=double(running$iter/running$thin),lambda2_samples_obs2=double(running$iter/running$thin),
		mu0_samples_obs2=double(running$iter/running$thin),mu2_samples_obs2=double(running$iter/running$thin),
		w0_samples_obs3=double(running$iter/running$thin),w1_samples_obs3=double(running$iter/running$thin),w2_samples_obs3=double(running$iter/running$thin),
		lambda0_samples_obs3=double(running$iter/running$thin),lambda1_samples_obs3=double(running$iter/running$thin),lambda2_samples_obs3=double(running$iter/running$thin),
		mu0_samples_obs3=double(running$iter/running$thin),mu2_samples_obs3=double(running$iter/running$thin),
		time=integer(1))
	
  return(
  list(result=data.frame(posterior.probability.0=rst$post.prob.z.0,posterior.probability.1=rst$post.prob.z.1,posterior.probability.2=rst$post.prob.z.2,interaction.category=rst$bd),
	acceptance=list("r1"=rst$h.accpt[1],"a"=rst$h.accpt[2],"d"=rst$h.accpt[3],
	"lambda0.min"=rst$lambda0.accpt[1],"lambda0.max"=rst$lambda0.accpt[2],
	"lambda1.min"=rst$lambda1.accpt[1],"lambda1.max"=rst$lambda1.accpt[2],
	"lambda2.min"=rst$lambda2.accpt[1],"lambda2.max"=rst$lambda2.accpt[2],
	"mu0.min"=rst$mu0.accpt[1],"mu0.max"=rst$mu0.accpt[2],
	"mu2.min"=rst$mu2.accpt[1],"mu2.max"=rst$mu2.accpt[2]),
	samples=list("d"=rst$d_samples,"r1"=rst$r1_samples,"a"=rst$a_samples,
	"w0_obs1"=rst$w0_samples_obs1,"w1_obs1"=rst$w1_samples_obs1,"w2_obs1"=rst$w2_samples_obs1,
	"lambda0_obs1"=rst$lambda0_samples_obs1,"lambda1_obs1"=rst$lambda1_samples_obs1,"lambda2_obs1"=rst$lambda2_samples_obs1,
	"mu0_obs1"=rst$mu0_samples_obs1,"mu2_obs1"=rst$mu2_samples_obs1,
	"w0_obs2"=rst$w0_samples_obs2,"w1_obs2"=rst$w1_samples_obs2,"w2_obs2"=rst$w2_samples_obs2,
	"lambda0_obs2"=rst$lambda0_samples_obs2,"lambda1_obs2"=rst$lambda1_samples_obs2,"lambda2_obs2"=rst$lambda2_samples_obs2,
	"mu0_obs2"=rst$mu0_samples_obs2,"mu2_obs2"=rst$mu2_samples_obs2,
	"w0_obs3"=rst$w0_samples_obs3,"w1_obs3"=rst$w1_samples_obs3,"w2_obs3"=rst$w2_samples_obs3,
	"lambda0_obs3"=rst$lambda0_samples_obs3,"lambda1_obs3"=rst$lambda1_samples_obs3,"lambda2_obs3"=rst$lambda2_samples_obs3,
	"mu0_obs3"=rst$mu0_samples_obs3,"mu2_obs3"=rst$mu2_samples_obs3),
	computing.time=rst$time)
  )
}
