\name{MDM-package}
\alias{MDM}
\docType{package}
\title{
Analysis of Chromatin Interaction Using MC_DIST Model, Two-Step Model and One-Step Model
}
\description{
\code{MDM} provides functions for the analysis of chromatin interactions using MC_DIST model (one sample problem),
Two-Step model and One-Step model.
}

\details{
\code{MDM} provides a function \code{\link{MCDIST}}
to detect ture chromatin interactions using a dataset obtained from a chromatin looping experiment,
such as a Hi-C, ChIA-PET, or modified Hi-C experiment.
It also provides \code{\link{trace.MCDIST}} to draw the MCMC plots for the output of the \code{\link{MCDIST}} function.

\code{MDM} provides a function \code{\link{MDTS}}
to peoform the second step of the Two-Step model for detecting chromatin interactions with different intensities in two samples.
This second step is to classify the chromatin interactions (claimed as true interactions from the first step) into three categories:
0 (interactions with higher intensity in sample 1 than that in sample 2),
1 (interactions with the same intensity in sample 1 and sample 2) and
2 (interactions with lower intensity in sample 1 than that in sample 2) 
It also provides \code{\link{trace.MDTS}} to draw the MCMC trace plots for the output of the \code{\link{MDTS}} function. 

\code{MDM} provides a function \code{\link{MDOS}}
to peoform the One-Step model for detecting chromatin interactions with different intensities in two samples.
This is to classify the chromatin interactions into six categories:
0 (true interactions in both sample, with higher intensity in sample 1 than that in sample 2),
1 (true interactions with the same intensity in sample 1 and sample 2),
2 (true interactions in both sample, with lower intensity in sample 1 than that in sample 2),
3 (true interactions in sample 1, but false in sample 2),
4 (true interactions in sample 2, but false in sample 1)
and 5 (false interactions in both sample 1 and sample 2).
It also provides \code{\link{trace.MDOS}} to draw the MCMC trace plots for the output of the \code{\link{MDOS}} function.
}
\author{
Liang Niu <niu.13@osu.edu>
}

