\name{trace.MCDIST}
\alias{trace.MCDIST}
\title{
Trace Plots of MCMC Output for MCDIST Model
}
\description{
Plot 13 trace plots for the MCMC samples obtained by MCDIST function. 
The plots are the four plots for \eqn{d}, \eqn{\sigma^2}, \eqn{r_0} and \eqn{b}; 
the three plots for \eqn{\pi_i}, \eqn{\lambda_{1i}} and \eqn{\lambda_{0i}} for the observation 1;
the three plots for \eqn{\pi_i}, \eqn{\lambda_{1i}} and \eqn{\lambda_{0i}} for the observation 2;
and the three plots for \eqn{\pi_i}, \eqn{\lambda_{1i}} and \eqn{\lambda_{0i}} for the observation 3.
}
\usage{
trace.MCDIST(output)
}
\author{
Liang Niu
}
\arguments{
  \item{output}{an object obtained by MCDIST function.}
}
\examples{
data("simdata")
n=length(simdata$count)
output=MCDIST(count=simdata$count,rmcd=simdata$mc/simdata$distance,
             init1=list("z"=rep(1,n),"lambda1"=rep(30.0,n),
                        "lambda0"=rep(1.0,n),"pi"=rep(0.5,n)),
             init2=list("d"=0.5,"sigma2"=10.0,"r0"=5.0,"b"=1.0),
             proposal=list("d"=0.036,"r0"=0.015,"b"=0.054,
                           "lambda1"=0.6,"lambda0"=1.1))
trace.MCDIST(output)
}


