\name{trace.MDOS}
\alias{trace.MDOS}
\title{
Trace Plots of MCMC Output for the One-Step Model
}
\description{
Plot 55 trace plots for the MCMC samples obtained by MDOS function. 
The plots are the four plots for \eqn{d}, \eqn{\sigma^2}, \eqn{r_1} and \eqn{a}; 
the 18 plots for \eqn{w_{0i}}, \eqn{w_{1i}}, \eqn{w_{2i}}, \eqn{w_{3i}}, \eqn{w_{4i}}, \eqn{w_{5i}} of the three observations;
the 33 plots for \eqn{\lambda_{0i}}, \eqn{\lambda_{1i}}, \eqn{\lambda_{2i}}, \eqn{\lambda_{3i}}, \eqn{\lambda_{4i}}, \eqn{\lambda_{5i}},
\eqn{\mu_{0i}}, \eqn{\mu_{2i}}, \eqn{\mu_{3i}}, \eqn{\mu_{4i}} and \eqn{\mu_{5i}} for the three observations.
}
\usage{
trace.MDOS(output)
}
\author{
Liang Niu
}
\arguments{
  \item{output}{an object obtained by MDOS function.}
}
\examples{
data("simdata.OS")
n=length(simdata.OS$count.1)
output=MDOS(count.1=simdata.OS$count.1,count.2=simdata.OS$count.2,
            dirichlet.const=list("c0"=simdata.OS$dirichlet.c0,
                                 "c1"=simdata.OS$dirichlet.c1,
                                 "c2"=simdata.OS$dirichlet.c2,
                                 "c3"=simdata.OS$dirichlet.c3,
                                 "c4"=simdata.OS$dirichlet.c4,
                                 "c5"=simdata.OS$dirichlet.c5),
            init1=list("z"=rep(1,n),
                       "lambda0"=rep(20.0,n),"lambda1"=rep(15.0,n),
                       "lambda2"=rep(10.0,n), "lambda3"=rep(15.0,n),
                       "lambda4"=rep(2.0,n),"lambda5"=rep(3.0,n),
                       "mu0"=rep(10.0,n),"mu2"=rep(20.0,n),
                       "mu3"=rep(4.0,n),"mu4"=rep(10.0,n),"mu5"=rep(2.0,n),
                       "w0"=rep(0.2,n),"w1"=rep(0.1,n),"w2"=rep(0.1,n),
                       "w3"=rep(0.2,n),"w4"=rep(0.1,n),"w5"=rep(0.3,n)),
            init2=list("d"=5000,"sigma2"=35^2,"r0"=6.0,"b"=2.0),
            proposal=list("d"=100.0,"r0"=0.008,"b"=0.025,"lambda0"=1.0,
                          "lambda1"=1.0,"lambda2"=1.0,"lambda3"=1.0,
                          "lambda4"=1.0,"lambda5"=1.0,"mu0"=0.8,
                          "mu2"=0.8,"mu3"=0.8,"mu4"=0.8,"mu5"=0.8))
trace.MDOS(output)
}


