\name{trace.MDTS}
\alias{trace.MDTS}
\title{
Trace Plots of MCMC Output for the Second Step of the Two-Step Model
}
\description{
Plot 27 trace plots for the MCMC samples obtained by MDTS function. 
The plots are the three plots for \eqn{d}, \eqn{r_1} and \eqn{a}; 
the nine plots for \eqn{w_{0i}}, \eqn{w_{1i}}, \eqn{w_{2i}} of the three observations;
the 15 plots for \eqn{\lambda_{0i}}, \eqn{\lambda_{1i}} and \eqn{\lambda_{2i}}, \eqn{\mu_{0i}} and \eqn{\mu_{2i}} for the three observations.
}
\usage{
trace.MDTS(output)
}
\author{
Liang Niu
}
\arguments{
  \item{output}{an object obtained by MDTS function.}
}
\examples{
data("simdata.TS")
n=length(simdata.TS$count.1)
output=MDTS(count.1=simdata.TS$count.1,count.2=simdata.TS$count.2,
            dirichlet.const=list("c0"=simdata.TS$dirichlet.c0,
                                 "c1"=simdata.TS$dirichlet.c1,
                                 "c2"=simdata.TS$dirichlet.c2),
            init1=list("z"=rep(1,n),"lambda0"=rep(10.0,n),
                       "lambda1"=rep(5.0,n),"lambda2"=rep(5.0,n),
                       "mu0"=rep(5.0,n),"mu2"=rep(10.0,n),
                       "w0"=rep(0.3,n),"w1"=rep(0.4,n),"w2"=rep(0.3,n)),
            init2=list("d"=0.5,"r1"=10.0,"a"=1.0),
            proposal=list("d"=0.031,"r1"=0.01,"a"=0.036,
                          "lambda0"=0.7,"lambda1"=0.7,
                          "lambda2"=0.7,"mu0"=0.7,"mu2"=0.7))
trace.MDTS(output)
}


